Index: /branches/UserManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.csproj
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.csproj	(revision 4646)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.csproj	(revision 4647)
@@ -60,4 +60,7 @@
     </ProjectReference>
   </ItemGroup>
+  <ItemGroup>
+    <WCFMetadata Include="Service References\" />
+  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: /branches/UserManagement/HeuristicLab.Services.Authentication/Interfaces/IAuthenticationService.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication/Interfaces/IAuthenticationService.cs	(revision 4646)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication/Interfaces/IAuthenticationService.cs	(revision 4647)
@@ -16,5 +16,8 @@
 
         [OperationContract]
-        IEnumerable<User> GetUsers();
+        User GetUser(Guid applicationId, string userName);
+
+        [OperationContract]
+        IEnumerable<User> GetUsers(Guid applicationId);
 
         [OperationContract]
@@ -27,4 +30,13 @@
         bool UpdateUser(User user);
 
+        [OperationContract]
+        bool AddUserToRole(Guid roleId, Guid userId);
+
+        [OperationContract]
+        bool RemoveUserFromRole(Guid roleId, Guid userId);
+
+        [OperationContract]
+        IEnumerable<Role> GetRolesForUser(Guid userId);
+
         #endregion
 
@@ -33,8 +45,17 @@
         [OperationContract]
         Role GetRole(Guid id);
+        
+        [OperationContract]
+        Role GetRole(Guid applicationId, string roleName);
 
         [OperationContract]
-        IEnumerable<Role> GetRoles();
+        IEnumerable<Role> GetRoles(Guid applicationId);
 
+        [OperationContract]
+        bool RoleExists(Guid roleId);
+
+        [OperationContract]
+        bool IsUserInRole(Guid roleId, Guid userId);
+        
         [OperationContract]
         bool InsertRole(Role role);
@@ -47,11 +68,24 @@
 
         [OperationContract]
-        bool AddRoleToUser(Guid roleId, Guid userId);
+        IEnumerable<User> GetUsersInRole(Guid roleId);
+       
+        #endregion
+
+        #region Application
 
         [OperationContract]
-        bool RemoveRoleFromUser(Guid roleId, Guid userId);
+        Application GetApplication(Guid id);
 
         [OperationContract]
-        IEnumerable<Role> GetRolesForUser(Guid userId);
+        Application InsertApplication(Application application);
+
+        [OperationContract]
+        bool DeleteApplication(Application application);
+        #endregion
+
+        #region Membership
+
+        [OperationContract]
+        Membership InsertMembership(Membership membership);
 
         #endregion
